Bug 1015499 - RBAC: Domain mode: When accessing Runtime resources of stopped server on Web Console Unknown Error is shown in message box
RBAC: Domain mode: When accessing Runtime resources of stopped server on Web ...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: ER7
: EAP 6.2.0
Assigned To: Heiko Braun
Jakub Cechacek
Russell Dickenson
:
Depends On:
Blocks: 1021418
  Show dependency treegraph
 
Reported: 2013-10-04 08:00 EDT by Radim Hatlapatka
Modified: 2015-02-01 18:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: Consequence: Workaround (if any): Results:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:23:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-275 Major Resolved Improve error handling when operating on stopped server instances 2015-08-20 14:35:28 EDT

  None (edit)
Description Radim Hatlapatka 2013-10-04 08:00:38 EDT
Description of problem:
When I access runtime information of a server which is turned off an Error message is shown in message box regarding the resource not being registered

Version-Release number of selected component (if applicable):
EAP 6 ER4

How reproducible:


Steps to Reproduce:
1. connect via admin console
2. stop one of the servers and change under runtime the server to the stopped one
3. try to access any of the information under server status

Actual results:
Error message with DMR/CLI output informing that the resource definition is not registered

Expected results:
Warning message that the server is stopped => unable to get requested info


Additional info:
Comment 1 Radim Hatlapatka 2013-10-04 08:07:32 EDT
For example when accessing in Runtime the Environment part:

Failed to create security context for environment, fallback to temporary read-only context

Unexpected HTTP response: 500

Request
{
    "operation" => "composite",
    "address" => [],
    "steps" => [{
        "address" => [
            ("host" => "master"),
            ("server" => "server-two"),
            ("core-service" => "platform-mbean"),
            ("type" => "runtime")
        ],
        "operation" => "read-resource-description",
        "recursive-depth" => 2,
        "access-control" => "trim-descriptions",
        "operations" => true
    }]
}

Response

Internal Server Error
{
    "outcome" => "failed",
    "failure-description" => "JBAS014883: No resource definition is registered for address [
    (\"host\" => \"master\"),
    (\"server\" => \"server-two\"),
    (\"core-service\" => \"platform-mbean\"),
    (\"type\" => \"runtime\")
]",
    "rolled-back" => true
}
Comment 2 Jakub Cechacek 2013-10-14 08:19:33 EDT
This also affect creation of security context in case of rbac - thus every access to any runtime page will throw and Error for not started server. 

Rising severity as we don't want our customers to see an error message on every page.
Comment 4 JBoss JIRA Server 2013-10-15 03:44:03 EDT
Heiko Braun <ike.braun@googlemail.com> updated the status of jira HAL-275 to Resolved
Comment 5 JBoss JIRA Server 2013-10-16 04:29:34 EDT
Heiko Braun <ike.braun@googlemail.com> updated the status of jira HAL-275 to Reopened
Comment 6 JBoss JIRA Server 2013-10-16 05:09:31 EDT
Heiko Braun <ike.braun@googlemail.com> updated the status of jira HAL-275 to Resolved
Comment 7 Harald Pehl 2013-10-30 15:29:26 EDT
Included in HAL 2.0.5.Final
Comment 8 Jakub Cechacek 2013-11-05 07:40:40 EST
verified 6.2.0.ER7

Note You need to log in before you can comment on or make changes to this bug.